# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugins-check_ups_netvision2
Version: git27cb030
Release: 1.ndias%{?dist}
Summary: Nagios plugin to check Socomec UPS via SNMP

License: GPLv2+
URL:     https://github.com/42bios/check_ups_netvision2.pl
Source0: https://github.com/42bios/check_ups_netvision2.pl/archive/refs/heads/master.zip#/check_ups_netvision2.pl.tar.gz
Patch0: Patch-netvision2

BuildArch: noarch

%description
To check Socomec UPS via SNMP. Based on check_netvision.pl from gunny
(crowdedplace.com) - with perfdata - Battery Temperature, Output Voltage,
Output Load, Output Source, Alarm Present, Remaining Time, Battery Capacity 

%prep
%setup -q -n check_ups_netvision2.pl-master

%patch0 -p0 

%build


%install
install -p -m 755 -D check_ups_netvision2.pl %{buildroot}/%{_libdir}/nagios/plugins/check_ups_netvision2.pl

%files
%doc
%license

%{_libdir}/nagios/plugins/check_ups_netvision2.pl

%changelog
* Sun Jun 19 2022 Nuno Dias <Nuno.Dias@gmail.com> - git27cb030-1.ndias
- Version git27cb030
